# geos::operation::distance::ConnectedElementLocationFilter Class Reference

A ConnectedElementPointFilter extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list. The elements of the list are DistanceOp::GeometryLocation. More...

`#include <ConnectedElementLocationFilter.h>`

Inheritance diagram for geos::operation::distance::ConnectedElementLocationFilter:

List of all members.

## Public Member Functions

| ConnectedElementLocationFilter (std::vector< GeometryLocation * > *newLocations)
void | filter_ro (const geom::Geometry *geom)
void | filter_rw (geom::Geometry *geom)

## Static Public Member Functions

static std::vector < GeometryLocation * > * | getLocations (const geom::Geometry *geom)

## Detailed Description

A ConnectedElementPointFilter extracts a single point from each connected element in a Geometry (e.g. a polygon, linestring or point) and returns them in a list. The elements of the list are DistanceOp::GeometryLocation.

## Member Function Documentation

static std::vector<GeometryLocation*>* geos::operation::distance::ConnectedElementLocationFilter::getLocations | ( | const geom::Geometry * | geom ) | `[static]`

Returns a list containing a point from each Polygon, LineString, and Point found inside the specified geometry. Thus, if the specified geometry is not a GeometryCollection, an empty list will be returned. The elements of the list are com.vividsolutions.jts.operation.distance.GeometryLocations.

The documentation for this class was generated from the following file:

- ConnectedElementLocationFilter.h